/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */



/**
 *
 * @author DHAF
 */

import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import javax.swing.*;
import javax.imageio.*;
import java.io.*;
import java.text.DecimalFormat;
public class ImagesTest2 extends JPanel implements
ImageSequenceListener,Runnable
{
  private static final int PERIOD = 50;    // 0.05 secs
  private static final int PWIDTH = 600;      // size of this panel
  private static final int PHEIGHT = 400;
  private ImageManager imsLoader;   // the image loader
  private ImageAnimator mihPlayer,catsPlayer,
kaboomPlayer,jeballPlayer,numbersPlayer;
  Thread t;
  public ImagesTest2()
  {
    setBackground(Color.white);
    setPreferredSize( new Dimension(PWIDTH, PHEIGHT) );
    imsLoader = new ImageManager();


    imsLoader.setPath("jeni6/images");
    try{
    imsLoader.loadNumImages("25_04_.gif",15);
    imsLoader.loadNumImages("numbers.gif",6);
    imsLoader.loadStripImages("boom.png", 5,1);
    imsLoader.loadStripImages("ball.png", 8,4);
      imsLoader.loadStripImages("cats.gif",6,1);
    }catch (Exception e){System.out.println(e.toString());}
    initImages();
    t=new Thread(this);
}
private void initImages()
{
          mihPlayer =
               new ImageAnimator("25_04_",PERIOD, 1.5, true, imsLoader);
          numbersPlayer =
               new ImageAnimator("numbers", PERIOD, 6, false, imsLoader);
          numbersPlayer.addImageSequenceListener(this);
          catsPlayer =
               new ImageAnimator("cats", PERIOD, 0.5, true, imsLoader);
          kaboomPlayer =
               new ImageAnimator("boom", PERIOD, 1, true, imsLoader);
          jeballPlayer =
              new ImageAnimator("ball", PERIOD, 1, true, imsLoader);
}
public void sequenceEnded(String imageName)
{ System.out.println( imageName + " sequence has ended");
}
private void imagesUpdate()
{
    mihPlayer.updateTick();
    numbersPlayer.updateTick();
    catsPlayer.updateTick();
    kaboomPlayer.updateTick();
    jeballPlayer.updateTick();
}
public void paintComponent(Graphics g)
  {
     super.paintComponent(g);
     Graphics2D g2d = (Graphics2D)g;
     // clear the background


      g2d.setColor(Color.blue);
      g2d.fillRect(0, 0, PWIDTH, PHEIGHT);
      drawImage(g2d, mihPlayer.getCurrentImage(), 10, 10);
      drawImage(g2d, numbersPlayer.getCurrentImage(), 200, 10);
      // --------------- strip images ----------------------
      drawImage(g2d, catsPlayer.getCurrentImage(), 10, 235);
      drawImage(g2d, kaboomPlayer.getCurrentImage(), 400, 10);
      drawImage(g2d, jeballPlayer.getCurrentImage(), 350, 270);
    }
    private void drawImage(Graphics2D g2d, BufferedImage im, int x, int y)
    {
         g2d.drawImage(im, x, y, this);
    }
    public static void main(String args[])
    {
      ImagesTest2 ttPanel = new ImagesTest2();
      ttPanel.start();
      JFrame app = new JFrame("Image Manager Test");
      app.getContentPane().add(ttPanel, BorderLayout.CENTER);
      app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      app.pack();
      app.setResizable(false);
      app.setVisible(true);
  }
    public void start(){
           t.start();
    }
    public void run() {
       while (Thread.currentThread()==t){
              try{
                     Thread.sleep(50);
              }
              catch(Exception e){}
                   imagesUpdate();
                     repaint();
       }
}
}
